## r-other-mott-happy 2.1

=== DESCRIPTION ===
Package: happy
Version: 2.1
Date: 2008-01-31
Title: Quantitative Trait Locus genetic analysis in Heterogeneous Stocks
Author: Richard Mott <Richard.Mott@well.ox.ac.uk>	
Maintainer: Richard Mott <Richard.Mott@well.ox.ac.uk>
Depends: R (>= 2.6.0), g.data
Description: happy is an R interface into the HAPPY C package
 for fine-mapping Quantitative Trait Loci (QTL) in Heterogenous
 Stocks (HS). An HS is an advanced intercross between (usually
 eight) founder inbred strains of mice. HS are suitable for
 fine-mapping QTL. The happy package is an extension of the
 original C program happy; it uses the C code to compute the
 probability of descent from each of the founders, at each
 locus position, but the happy packager allows a much richer
 range of models to be fit to the data.
License: GPL version 2 or newer
URL: http://www.r-project.org, http://www.well.ox.ac.uk/happy
Packaged: Fri Mar  7 10:20:49 2008; rmott

=== debian/changelog ===
r-other-mott-happy (2.1-7) unstable; urgency=low

  * debian/control: Somehow missed dependencies from 2.1-5 - added
    again
  * Added debian/README.test

 -- Andreas Tille <tille@debian.org>  Sat, 17 Dec 2011 20:03:35 +0100

r-other-mott-happy (2.1-6) unstable; urgency=low

  [ Steffen Möller ]
  * debian/control:
    - Build-Depends: r-cran-multicore
    - Removed Recommends: r-cran-vr, r-cran-multicore

  * Source Format 3.0 (quilt)
  * debian/README.source (no need to tell what pacth is applied or not)
  * Debhelper 8 (control+compat)
  * debian/control:
    - Standards-Version: 3.9.2 (no changes needed)
    - Fixed Vcs fields
    - Versioned Build-Depends r-base-dev (>= 2.12)
    - Use Depends: ${R:Depends} as in all other R packages of Debian Med
    - Moved large parts of the long description to README.Debian
      Closes: #622295
  * debian/rules:
    - Usual rules script of Debian Med team for R packages
    - Work around bug #652456 and call private copy of r-cran.mk
      to enable using source format 3.0
  * debian/r-cran_without_simple-patchsys.mk
     --> This should be removed once #652456 is solved and a versioned
         Build-Depends should be used

 -- Andreas Tille <tille@debian.org>  Sat, 17 Dec 2011 13:05:47 +0100

r-other-mott-happy (2.1-5) unstable; urgency=low

  [Charles Plessy]
  * Documented information in ‘debian/upstream-metadata.yaml’.
  * Removed mention of the bibliographic reference in ‘debian/control’.

  [Andreas Tille]
  * debian/control:
    - Build-Depends r-base-dev (>= 2.10), Depends r-core (>= 2.10) and
      rebuild on current Squeeze system
      Closes: #611008
    - Added myself to uploaders
    - Standards-Version: 3.9.1 (no changes needed)
    - Fixed name of Debian Med team
    - Debhelper 7
    - Replaced (Build-)Depends r-cran-vr by r-cran-mass
    - Recommends: r-cran-vr, r-cran-multicore
  * Added watch file

 -- Andreas Tille <tille@debian.org>  Tue, 25 Jan 2011 08:17:57 +0100

r-other-mott-happy (2.1-4) unstable; urgency=low

  * Fixed build dependency on MASS library (packaged
    as r-cran-vr) (Closes: #544836).

 -- Steffen Moeller <moeller@debian.org>  Thu, 03 Sep 2009 12:57:03 +0200

r-other-mott-happy (2.1-3) unstable; urgency=low

  * Corrected for architecture all -> any (Closes: #530007)

 -- Steffen Moeller <moeller@debian.org>  Tue, 18 Aug 2009 17:13:41 +0200

r-other-mott-happy (2.1-2) UNRELEASED; urgency=low

  * Added patch for not using SET_VECTOR_ELT on strings

 -- Steffen Moeller <moeller@debian.org>  Thu, 11 Jun 2009 18:28:33 +0200

r-other-mott-happy (2.1-1) UNRELEASED; urgency=low

  * Initial release.

 -- Steffen Moeller <moeller@debian.org>  Fri, 22 May 2009 21:31:12 +0200

=== debian/control ===
Source: r-other-mott-happy
Section: gnu-r
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
 Andreas Tille <tille@debian.org>
Build-Depends: debhelper (>= 8), cdbs, r-base-dev (>= 2.12), r-cran-g.data, r-cran-multicore, r-cran-mass
Standards-Version: 3.9.2
Homepage: http://www.well.ox.ac.uk/happy/happyR.shtml
Vcs-Browser: http://svn.debian.org/wsvn/debian-med/trunk/packages/R/r-other-mott-happy/trunk/
Vcs-Svn: svn://svn.debian.org/debian-med/trunk/packages/R/r-other-mott-happy/trunk/

Package: r-other-mott-happy
Architecture: any
Depends: ${shlibs:Depends}, ${R:Depends}, r-cran-g.data, r-cran-mass
Recommends: r-cran-vr, r-cran-multicore
Description: GNU R package for fine-mapping complex diseases
 Happy is an R interface into the HAPPY C package for fine-mapping
 Quantitative Trait Loci (QTL) in Heterogenous Stocks (HS). An HS is
 an advanced intercross between (usually eight) founder inbred strains
 of mice. HS are suitable for fine-mapping QTL.  It uses a multipoint
 analysis which offers significant improvements in statistical power to
 detect QTLs over that achieved by single-marker association.
 .
 The happy package is
 an extension of the original C program happy; it uses the C code to
 compute the probability of descent from each of the founders, at each
 locus position, but the happy packager allows a much richer range of
 models to be fit to the data.
 .
 Read /usr/share/doc/r-other-mott-happy/README.Debian for a more
 detailed explanation.

=== debian/rules ===
#!/usr/bin/make -f
# 							-*- makefile -*-
# debian/rules file for the Debian/GNU Linux r-other-mott-happy package
# Copyright 2008 by Andreas Tille <tille@debian.org>

debRreposname := other-mott

## FIXME: Dirty workaround for bug #652456
# include /usr/share/R/debian/r-cran.mk
include debian/r-cran_without_simple-patchsys.mk

# Require a number equal or superior than the R version the package was built with.
install/$(package)::
	echo "R:Depends=r-base-core (>= $(shell R --version | head -n1 | perl -ne 'print / +([0-9]\.[0-9]+\.[0-9])/')~)" >> debian/$(package).substvars

## r-other-mott-happy 2.4

=== DESCRIPTION ===
Package: happy.hbrem
Version: 2.4
Date: 2012-07-20
Title: Quantitative Trait Locus genetic analysis in Heterogeneous
        Stocks
Author: Richard Mott <Richard.Mott@well.ox.ac.uk>	
Maintainer: Richard Mott <Richard.Mott@well.ox.ac.uk>
Depends: R (>= 2.6.0), g.data, multicore
Description: happy is an R interface into the HAPPY C package
 for fine-mapping Quantitative Trait Loci (QTL) in Heterogenous
 Stocks (HS). An HS is an advanced intercross between (usually
 eight) founder inbred strains of mice. HS are suitable for
 fine-mapping QTL. The happy package is an extension of the
 original C program happy; it uses the C code to compute the
 probability of descent from each of the founders, at each
 locus position, but the happy packager allows a much richer
 range of models to be fit to the data.
License: GPL (>=2)
URL: http://www.r-project.org, http://www.well.ox.ac.uk/happy
Packaged: 2013-12-19 16:21:35 UTC; rmott

=== debian/changelog ===
r-other-mott-happy (2.4-1) unstable; urgency=low

  * New upstream version (Closes: #709190).
  * Revived the debug package.

 -- Steffen Moeller <moeller@debian.org>  Fri, 24 Jan 2014 15:48:04 +0100

r-other-mott-happy (2.3-1) unstable; urgency=low

  * Team upload.

  [ Charles Plessy ]
  * New upstream version, renaming happy to happy.hbrem.
  * Simplified debian/rules following changes in r-base-dev 2.14.2~20120222-1
  * Echo a dummy NAMESPACE file (Closes: #709190).
  * Use Debhelper 9.
  * Refreshed quilt patches.
  * Added Debhelper's misc:Depends substitution variable.
  * Normalised VCS URLs.
  * Normalised debian/control with config-model-edit.
  * Converted Debian copyright file to machine-readable format.
  * Conforms to Debian Policy version 3.9.4.
  * renamed debian/upstream-metadata.yaml to debian/upstream.

  [ Andreas Tille ]
  * debian/upstream: Fixed spelling of journal field

 -- Charles Plessy <plessy@debian.org>  Sun, 30 Jun 2013 11:25:27 +0900

=== debian/control ===
Source: r-other-mott-happy
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev (>= 2.12),
               r-cran-g.data,
               r-cran-multicore,
               r-cran-mass
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/R/r-other-mott-happy/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/R/r-other-mott-happy/trunk/
Homepage: http://www.well.ox.ac.uk/happy/happyR.shtml

Package: r-other-mott-happy.hbrem
Architecture: any
Depends: ${shlibs:Depends},
         ${R:Depends},
         ${misc:Depends},
         r-cran-g.data,
         r-cran-mass
Recommends: r-cran-vr,
            r-cran-multicore
Provides: r-other-mott-happy
Conflicts: r-other-mott-happy, r-other-mott-happy.hbrem-dbg (<< ${binary:Version})
Replaces: r-other-mott-happy
Description: GNU R package for fine-mapping complex diseases
 Happy is an R interface into the HAPPY C package for fine-mapping
 Quantitative Trait Loci (QTL) in Heterogenous Stocks (HS). An HS is
 an advanced intercross between (usually eight) founder inbred strains
 of mice. HS are suitable for fine-mapping QTL.  It uses a multipoint
 analysis which offers significant improvements in statistical power to
 detect QTLs over that achieved by single-marker association.
 .
 The happy package is
 an extension of the original C program happy; it uses the C code to
 compute the probability of descent from each of the founders, at each
 locus position, but the happy packager allows a much richer range of
 models to be fit to the data.
 .
 Read /usr/share/doc/r-other-mott-happy/README.Debian for a more
 detailed explanation.

Package: r-other-mott-happy.hbrem-dbg
Architecture: any
Section: debug
Depends: ${misc:Depends}, r-other-mott-happy.hbrem (= ${binary:Version})
Description: Debug information for Happy R package native library
 The documentation of Happy is fairly complete, but the runtime itself
 does not inform as verbosely as users would like it on errors in
 configuration files. This debug package may complement nicely the
 on or other missing check on data integrity.
 .
 With this package installed, a debugger like 'gdb' indicates the
 position in the C implementation of R routines that spawned an error.

=== debian/rules ===
#!/usr/bin/make -f

debRreposname := other-mott

include /usr/share/R/debian/r-cran.mk

# Remove once upstream adds a NAMESPACE file

pre-build::
	[ -f NAMESPACE ] || echo 'exportPattern("^[[:alpha:]]+")' > NAMESPACE

override_dh_strip:
	dh_strip -Pr-other-mott-happy.hbrem --dbg-package=r-other-mott-happy.hbrem-dbg


override_dh_clean:
	$(RM) NAMESPACE
	dh_clean

=== debian/watch ===
version=3
http://www.well.ox.ac.uk/happy/happyR.shtml happy.*_([\d\.]+).tar.gz
